<?
include 'inclydings/gzips.php';
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include_once("inclydings/ini.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
echo "Центр помощи для игрока <b>$log</b><br/>";
if($game=="save"){
$g=mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' AND `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
if(empty($msg)){echo "Вы не ввели сообщение
<li><a href=\"tickets.php?$sd&game=look&id=$id\">В тикет</a>";
include_once"inclydings/down.php";
exit;
}
$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$log."' AND `id`='".$id."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="1"){echo "Тикет закрыт";
include_once"inclydings/down.php";
exit;
}
$time = date("H:i:s");
$data=date("d-F-Y", time());
$data = str_replace("January","01",$data);
$data = str_replace("February","02",$data);
$data = str_replace("March","03",$data);
$data = str_replace("April","04",$data);
$data = str_replace("May","05",$data);
$data = str_replace("June","06",$data);
$data = str_replace("July","07",$data);
$data = str_replace("August","08",$data);
$data = str_replace("September","09",$data);
$data = str_replace("October","10",$data);
$data = str_replace("November","11",$data);
$data = str_replace("December","12",$data);
mysql_query("UPDATE `table_tickets` SET `status`='1' WHERE `nick`='$log' AND `id`='$id'");
$query = "INSERT INTO table_ticketmsgs VALUES('$log','$id','$fid','$log','$msg','$time [$data]')";
$result = mysql_query($query);
echo "Ответ успешно добавлен
<li><a href=\"tickets.php?$sd&game=look&id=$id\">В тикет</a>";
}else{echo "Такой тикет не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="otvet"){
$g=mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' AND `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){

echo'<form method="post" action="tickets.php?'.$sd.'&game=save&id='.$id.'">';
echo "<br/>Сообщение:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/>";
echo '<input class="button" type="submit" value="Ответить"/></form>';

}else{echo "Такой тикет не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="onoff"){
$g=mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' AND `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$log."' AND `id`='".$id."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="0"){
mysql_query("UPDATE `table_tickets` SET `onoff`='1' WHERE `nick`='$log' AND `id`='$id'");
echo "Тикет закрыт";
}else{
mysql_query("UPDATE `table_tickets` SET `onoff`='0' WHERE `nick`='$log' AND `id`='$id'");
echo "Тикет открыт";
}
}else{echo "Такой тикет не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="del"){
$g=mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' AND `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
mysql_query("DELETE FROM `table_ticketmsgs` WHERE `nick`='".$log."' AND `id`='".$id."'");
mysql_query("DELETE FROM `table_tickets` WHERE `nick`='".$log."' AND `id`='".$id."'");
echo "Тикет удалён";
}else{echo "Такой тикет не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="look"){
$g=mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' AND `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
$qi = mysql_query("SELECT * FROM `table_ticketmsgs` WHERE `nick`='$log' AND `id`='$id' ORDER by `fid` ASC");
while($row=mysql_fetch_array($qi))
{
echo "$row[autor] [$row[time]]: $row[msg]<br/>";
}
$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$log."' AND `id`='".$id."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="0"){
echo "<li><a href=\"tickets.php?$sd&game=otvet&id=$id\">Ответить на тикет</a>";
}
echo "<li><a href=\"tickets.php?$sd&game=del&id=$id\">Удалить тикет</a>";
if($onoff[onoff]=="0"){
echo "<li><a href=\"tickets.php?$sd&nick=$nick&pass=$pass&game=onoff&id=$id\">Закрыть тикет</a>";
}else{
echo "<li><a href=\"tickets.php?$sd&game=onoff&id=$id\">Открыть тикет</a>";
}
}else{echo "Такой тикет не существует";}
include_once"inclydings/down.php";
exit;
}


if($game=="add"){
if(empty($names)){echo "Вы не ввели название тикета
<li><a href=\"tickets.php$sd\">Назад</a>";
include_once"inclydings/down.php";
exit;
}
if(empty($msg)){echo "Вы не ввели сообщение
<li><a href=\"tickets.php$sd\">Назад</a>";
include_once"inclydings/down.php";
exit;
}

$time = date("H:i:s");
$data=date("d-F-Y", time());
$data = str_replace("January","01",$data);
$data = str_replace("February","02",$data);
$data = str_replace("March","03",$data);
$data = str_replace("April","04",$data);
$data = str_replace("May","05",$data);
$data = str_replace("June","06",$data);
$data = str_replace("July","07",$data);
$data = str_replace("August","08",$data);
$data = str_replace("September","09",$data);
$data = str_replace("October","10",$data);
$data = str_replace("November","11",$data);
$data = str_replace("December","12",$data);
$query = "INSERT INTO table_tickets VALUES('$log','$id','$names','$data [$time]','1','0')";
$result = mysql_query($query);

$tik=mysql_query("SELECT * FROM `table_tickets` ORDER by `id` DESC");
$dat=mysql_fetch_array($tik);
$idi=$dat[id];

$query = "INSERT INTO table_ticketmsgs VALUES('$log','$idi','$fid','$log','$msg','$data [$time]')";
$result = mysql_query($query);
echo "Тикет успешно создан<br/><a href=\"tickets.php?$sd\">К тикетам</a>";
include_once"inclydings/down.php";
exit;
}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_tickets` WHERE `nick`='$log'");
$kol = mysql_result($q, 0);
if($kol=="0"){echo "Тикетов нет";}

$qi = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='$log' ORDER by `time` DESC");
while($row=mysql_fetch_array($qi))
{

echo "<a href=\"tickets.php?$sd&game=look&id=$row[id]\">$row[name]</a> [$row[time]]<br/>";
}
echo'<form method="post" action="tickets.php?'.$sd.'&game=add">';
echo "<br/><b>Правила создания тикета:</b><br/>
 При не соблюдении данных правил, вам заблокируют общение на 24 часа.<br/>
 В названии тикета указывать краткие сведения о разговоре.<br/>
 В сообщении подробно описать проблему, все действия до её появления.<br/>
 После получения ответа на вопрос, просьба закрывать тикет.<br/>
 Для каждой проблемы создавать отдельный тикет.<br/>";
echo "<br/>Название тикета:<br/>";
echo "<input class=\"button\" name=\"names\" maxlength=\"30\" title=\"Название тикета\" emptyok=\"true\"/>";
echo "<br/>Сообщение:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/>";
echo '<input class="button" type="submit" value="Создать"/></form>';
include_once"inclydings/down.php";
exit;

}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>

